<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <head>
    <style type="text/css">
      table { border-collapse:collapse }
      th, td { border: solid 1px #000; padding:10px }
      .heading { background-color: #9a0 }
      .center { text-align:center }
      .red { background-color: #faa }
      .blue { background-color: #aaf }
      .grey { background-color: #aaa }
    </style>
  </head>
  <body>
  <h2>Representatives of the U.S. Senate</h2>
    <table>
      <tr class="heading">
        <th>Name</th>
        <th>Party</th>
        <th>State</th>
      </tr>
      <xsl:for-each select="senators/member">
         <xsl:choose>
           <xsl:when test="party='D'">
             <tr class="blue">
               <td><xsl:value-of select="first_name"/>
                   <xsl:text> </xsl:text>
                   <xsl:value-of select="last_name"/></td>
               <td class="center"><xsl:value-of select="party"/></td>
               <td class="center"><xsl:value-of select="state"/></td>    
             </tr>
           </xsl:when>  
           <xsl:when test="party='R'">
             <tr class="red">
               <td><xsl:value-of select="first_name"/>
                   <xsl:text> </xsl:text>
                   <xsl:value-of select="last_name"/></td>
               <td class="center"><xsl:value-of select="party"/></td>
               <td class="center"><xsl:value-of select="state"/></td>    
             </tr>
           </xsl:when>
           <xsl:when test="party='D'">
             <tr class="red">
               <td><xsl:value-of select="first_name"/>
                   <xsl:text> </xsl:text>
                   <xsl:value-of select="last_name"/></td>
               <td class="center"><xsl:value-of select="party"/></td>
               <td class="center"><xsl:value-of select="state"/></td>    
             </tr>
           </xsl:when>           
           <xsl:otherwise>
             <tr class="grey">
               <td><xsl:value-of select="first_name"/>
                   <xsl:text> </xsl:text>
                   <xsl:value-of select="last_name"/></td>
               <td class="center"><xsl:value-of select="party"/></td>
               <td class="center"><xsl:value-of select="state"/></td>    
             </tr>
           </xsl:otherwise>  
         </xsl:choose>           
      </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>